player_imu_data_quat Struct Reference

Data: Quaternions orientation data (PLAYER_IMU_DATA_QUAT) More...

`#include <player_interfaces.h>`

## Public Attributes

player_imu_data_calib_t | calib_data
| Calibrated IMU data (accel, gyro, magnetometer)
float | q0
| Orientation data as quaternions.
float | q1
float | q2
float | q3

## Detailed Description

Data: Quaternions orientation data (PLAYER_IMU_DATA_QUAT)

The `imu` interface returns calibrated IMU values as well as orientation data as quaternions.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45